%global pypi_name pycodestyle
%global commitId 1063db8747e7d4e213160458aa3792e5ec05bc10

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        2.10.0
Release:        1%{?dist}
Summary:        Python style guide checker

License:        MIT
URL:            https://github.com/PyCQA/pycodestyle
Source0:        python-pycodestyle-1063db8747e7d4e213160458aa3792e5ec05bc10.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%global _description %{expand:
pycodestyle is a tool to check your Python code against some of the style
conventions in PEP 8.}

%description
%{_description}

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
%{_description}

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
%py3_build

%install
%py3_install

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.rst
%exclude %{_bindir}/pycodestyle
%{python3_sitelib}/__pycache__/%{pypi_name}.*
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Mon Apr 03 2023 Satoe Imaishi <simaishi@redhat.com> - 2.10.0-1
- Initial build
